<?php


return  
    [
        'model' => [
            'model' => \Assetise\AssetType\Models\AssetType::class,
            'repository' => \Assetise\AssetType\Repositories\Eloquent\AssetTypeRepository::class,
            'table' => 'asset_types',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'book_expected_life',  'image_no',  'replacement_unit_cost',  'qty_type',  'expected_life_source',  'removal_cost',  'removal_unit_cost_source',  'supply_install_cost',  'supply_install_cost_source',  'design_fees',  'contingency',  'model',  'system',  'category'],
            'translatables' => [],
            'upload_folder' => 'asset_type/asset_type',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "book_expected_life" => [
                "key" => "book_expected_life", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.book_expected_life', 
                'sort' => true,
                'roles' => [],
            ],
            "image_no" => [
                "key" => "image_no", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.image_no', 
                'sort' => true,
                'roles' => [],
            ],
            "replacement_unit_cost" => [
                "key" => "replacement_unit_cost", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.replacement_unit_cost', 
                'sort' => true,
                'roles' => [],
            ],
            "qty_type" => [
                "key" => "qty_type", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.qty_type', 
                'sort' => true,
                'roles' => [],
            ],
            "expected_life_source" => [
                "key" => "expected_life_source", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.expected_life_source', 
                'sort' => true,
                'roles' => [],
            ],
            "removal_cost" => [
                "key" => "removal_cost", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.removal_cost', 
                'sort' => true,
                'roles' => [],
            ],
            "removal_unit_cost_source" => [
                "key" => "removal_unit_cost_source", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.removal_unit_cost_source', 
                'sort' => true,
                'roles' => [],
            ],
            "supply_install_cost" => [
                "key" => "supply_install_cost", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.supply_install_cost', 
                'sort' => true,
                'roles' => [],
            ],
            "supply_install_cost_source" => [
                "key" => "supply_install_cost_source", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.supply_install_cost_source', 
                'sort' => true,
                'roles' => [],
            ],
            "design_fees" => [
                "key" => "design_fees", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.design_fees', 
                'sort' => true,
                'roles' => [],
            ],
            "contingency" => [
                "key" => "contingency", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.contingency', 
                'sort' => true,
                'roles' => [],
            ],
            "model" => [
                "key" => "model", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.model', 
                'sort' => true,
                'roles' => [],
            ],
            "system" => [
                "key" => "system", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.system', 
                'sort' => true,
                'roles' => [],
            ],
            "category" => [
                "key" => "category", 
                "type" => "text", 
                "label" => 'asset_type::asset_type.label.category', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.name',
                "placeholder" => 'asset_type::asset_type.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'book_expected_life' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.book_expected_life',
                "placeholder" => 'asset_type::asset_type.placeholder.book_expected_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image_no' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.image_no',
                "placeholder" => 'asset_type::asset_type.placeholder.image_no',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'replacement_unit_cost' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.replacement_unit_cost',
                "placeholder" => 'asset_type::asset_type.placeholder.replacement_unit_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'qty_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.qty_type',
                "placeholder" => 'asset_type::asset_type.placeholder.qty_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'expected_life_source' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.expected_life_source',
                "placeholder" => 'asset_type::asset_type.placeholder.expected_life_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'removal_cost' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.removal_cost',
                "placeholder" => 'asset_type::asset_type.placeholder.removal_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'removal_unit_cost_source' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.removal_unit_cost_source',
                "placeholder" => 'asset_type::asset_type.placeholder.removal_unit_cost_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'supply_install_cost' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.supply_install_cost',
                "placeholder" => 'asset_type::asset_type.placeholder.supply_install_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'supply_install_cost_source' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.supply_install_cost_source',
                "placeholder" => 'asset_type::asset_type.placeholder.supply_install_cost_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'design_fees' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.design_fees',
                "placeholder" => 'asset_type::asset_type.placeholder.design_fees',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'contingency' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.contingency',
                "placeholder" => 'asset_type::asset_type.placeholder.contingency',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'model' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.model',
                "placeholder" => 'asset_type::asset_type.placeholder.model',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'system' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset_type::asset_type.label.system',
                "placeholder" => 'asset_type::asset_type.placeholder.system',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset_type::asset_type.label.category',
                "placeholder" => 'asset_type::asset_type.placeholder.category',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset_type/asset_type/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset_type/asset_type/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset_type/asset_type',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset_type/asset_type',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset_type/asset_type',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset_type/asset_type',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset_type::asset_type.label.created_at',
            'name' => 'asset_type::asset_type.label.name',
            'status' => 'asset_type::asset_type.label.status',
        ],
        'groups' => [
            'main' => 'asset_type::asset_type.groups.main',
            'details' => 'asset_type::asset_type.groups.details',
            'images' => 'asset_type::asset_type.groups.images',
            'settings' => 'asset_type::asset_type.groups.settings',
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'AssetType',
            'module' => 'AssetType',
        ],
    ];
